#if !defined(AFX_TEMPLATEDIALOG_H__1275A21B_ECE5_4E7C_B2CA_BA216CFD49F6__INCLUDED_)
#define AFX_TEMPLATEDIALOG_H__1275A21B_ECE5_4E7C_B2CA_BA216CFD49F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TemplateDialog.h : header file
//

class CServiceList;
class ServiceAction;
/////////////////////////////////////////////////////////////////////////////
// TemplateDialog dialog

class TemplateDialog : public CDialog
{
// Construction
public:
	TemplateDialog(CServiceList* pServiceList, CObList* pActions, CWnd* pParent = NULL);   // standard constructor
    CObList m_ActionsToPerform;
    virtual ~TemplateDialog();

// Dialog Data
	//{{AFX_DATA(TemplateDialog)
	enum { IDD = IDD_TEMPLATE_DIALOG };
	CComboBox	m_cbDefaultStartupMode;
	CListBox	m_ActionList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TemplateDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
    void DeleteActions();

    CObList* m_pActions;
    CServiceList* m_pServiceList;
    ServiceAction* findRequestedAction(LPCTSTR lpszName);

    BOOL CheckActionsToPerform();

	// Generated message map functions
	//{{AFX_MSG(TemplateDialog)
	afx_msg void OnSelchangeCombo1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPLATEDIALOG_H__1275A21B_ECE5_4E7C_B2CA_BA216CFD49F6__INCLUDED_)
